--- a/Makefile
+++ b/Makefile
@@ -72,9 +72,9 @@ GTEST_CXXFLAGS := -std=gnu++14
 GTEST_LIBS := gtest.a
 UNITTEST_DEPS += $(GTEST_LIBS)
 else
-GTEST_CXXFLAGS := $(shell gtest-config --cxxflags 2>/dev/null || \
+GTEST_CXXFLAGS ?= $(shell gtest-config --cxxflags 2>/dev/null || \
   echo "-pthread")
-GTEST_LIBS := $(shell gtest-config --libs 2>/dev/null || \
+GTEST_LIBS ?= $(shell gtest-config --libs 2>/dev/null || \
   echo "-lgtest -pthread -lpthread")
 endif
 UNITTEST_LIBS += $(GTEST_LIBS)
@@ -104,6 +104,7 @@ clean: CLEAN(minijail0)
 
 
 CC_LIBRARY(libminijail.so): LDLIBS += -lcap
+CC_LIBRARY(libminijail.so): LDFLAGS += -Wl,-soname,libminijail.so
 CC_LIBRARY(libminijail.so): $(CORE_OBJECT_FILES)
 clean: CLEAN(libminijail.so)
 
@@ -125,6 +126,7 @@ TEST(CXX_BINARY(libminijail_unittest)): CC_LIBRARY(libminijailpreload.so)
 
 
 CC_LIBRARY(libminijailpreload.so): LDLIBS += -lcap -ldl
+CC_LIBRARY(libminijailpreload.so): LDFLAGS += -Wl,-soname,libminijail.so
 CC_LIBRARY(libminijailpreload.so): libminijailpreload.o $(CORE_OBJECT_FILES)
 clean: CLEAN(libminijailpreload.so)
 
--- a/common.mk
+++ b/common.mk
@@ -323,7 +323,7 @@ COMMON_CFLAGS := -Wall -Wunused -Wno-unused-parameter -Werror -Wformat=2 \
   -fno-strict-aliasing $(SSP_CFLAGS) -O1
 CXXFLAGS += $(COMMON_CFLAGS) $(COMMON_CFLAGS-$(CXXDRIVER)) -std=gnu++14
 CFLAGS += $(COMMON_CFLAGS) $(COMMON_CFLAGS-$(CDRIVER)) -std=gnu11
-CPPFLAGS += -D_FORTIFY_SOURCE=2
+CPPFLAGS +=
 
 # Enable large file support.
 CPPFLAGS += -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE
